Page MenuHomePhabricator

Rebuild docker-registry.wikimedia.org/wikimedia-jessie to drop jessie-update/jessie-backports
Closed, ResolvedPublic

Description

Since Debian had the nice idea to remove jessie-update and jessie-backports, the default apt configuration that comes with docker-registry.wikimedia.org/wikimedia-jessie:latest cause descendant images to fail with:

W: Failed to fetch http://mirrors.wikimedia.org/debian/dists/jessie-updates/main/binary-amd64/Packages  404  Not Found
W: Failed to fetch http://mirrors.wikimedia.org/debian/dists/jessie-backports/main/binary-amd64/Packages  404  Not Found
W: Failed to fetch http://mirrors.wikimedia.org/debian/dists/jessie-backports/contrib/binary-amd64/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

We thus must rebuild the base Jessie container and either:

Thanks!

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
OpenNone
OpenNone
ResolvedPaladox
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenPaladox
ResolvedPaladox
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPaladox
Resolvedhashar
Resolvedhashar
ResolvedTarrow
Resolvedhashar
ResolvedNone
ResolvedJoe
ResolvedJoe
ResolvedJdforrester-WMF
Resolvedbd808

Event Timeline

hashar created this task.Mar 29 2019, 10:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2019, 10:34 PM

Change 500143 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: rebuild ci-jessie due to changes in apt repo

https://gerrit.wikimedia.org/r/500143

Change 500143 merged by jenkins-bot:
[integration/config@master] docker: rebuild ci-jessie due to changes in apt repo

https://gerrit.wikimedia.org/r/500143

Mentioned in SAL (#wikimedia-releng) [2019-04-01T08:07:16Z] <hashar> Rebuilding container docker-registry.wikimedia.org/wikimedia-jessie # T219683

hashar changed the task status from Duplicate to Resolved.Apr 1 2019, 8:10 AM

Giuseppe has kindly rebuild the upstream container wikimedia-jessie to remove the apt components that no more exist. That in turned has let me rebuild docker-registry.discovery.wmnet/releng/ci-jessie:0.4.0 and thus unlock the upgrade for Quibble 0.0.30 (T219647).

Mentioned in SAL (#wikimedia-operations) [2019-04-02T09:03:14Z] <_joe_> uploaded patched version of bootstrap-vz to account for jessie-updates vanishing (T219683)

Baruneju removed a subscriber: Baruneju.Apr 2 2019, 9:12 AM